<h2>My Heroes</h2>
<ul class="heroes">
  <li *ngFor="let hero of heroes">
    <a class="herolink" routerLink="/hero/{{hero.id}}">
      <div class="d-flex w-100">
        <button class="primary" type="button">
          <span class="badge">{{hero.id}}</span>
          <span class="name">{{hero.name}}</span>
        </button>
        <button (click)="delete(hero)" type="button" class="btn-danger" title="delete hero">Delete</button>
      </div>
    </a>
  </li>
</ul>
<div>
  <label for="new-hero">Hero name: </label>
  <input id="new-hero" #heroName />

  <!-- (click) passes input value to add() and then clears the input -->
  <button type="button" class="add-button btn-success" (click)="add(heroName.value); heroName.value=''">
    Add hero
  </button>
</div>
